Update Assignment#
Updates an assignment. remove_templates is an array of zero-based indexes in the current template_files list. New templates[] are appended. Requires manage-knowledge-hub-assignments.
Bearer token in the format: Bearer {access_token}
Base64 id from the matching list or builder. A raw numeric id is also accepted.
Title. Max 255 characters
enabled, hidden, or locked
Optional instructions
Shown after submit
Optional date
Minimum 1. Ignored when ungraded
When true, max_score is 0
published or draft. Defaults to the current status
Zero-based indexes to remove from template_files
Optional replacement thumbnail
Additional template files (templates[])
curl --request PUT \
--url https://app.rizzdial.com/api/knowledge-hub/assignments/update/MQ== \
--header 'Authorization: Bearer {{bearer_token}}' \
--form 'title=Submit notes' \
--form 'comment_status=enabled' \
--form 'status=published'Assignment updated successfully.
Updated assignment with base64 id
POST /api/knowledge-hub/assignments/update/{id} is the same endpoint.